
/*! HTML5 Boilerplate v9.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

:root {

  --font-family: "MarkForMC", Helvetica, Arial, sans-serif;
  --font-system: verdana, Arial, Helvetica, sans-serif;
  --white: #fff;
  --black: #000;
  --red: #EB001B;
  --orange-dark: #FF5F00;
  --orange-light: #F79E1B;
  --grey-light: #F1F1F1;
  --grey-dark: #565656;
  --text-color: #000;
  --container-width : 1024px;

  --input-height: 44px;

  --transition-in: 0.25s ease-in-out;
  --transition-out: 0.5s ease-in-out;



  --icon-checkbox: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(46,61,117)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
  --icon-chevron: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(46,61,117)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
  --icon-chevron-button: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
  --icon-chevron-button-inverse: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
  --icon-close: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(115, 130, 140)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cline x1='18' y1='6' x2='6' y2='18'%3E%3C/line%3E%3Cline x1='6' y1='6' x2='18' y2='18'%3E%3C/line%3E%3C/svg%3E");
  --icon-date: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Crect x='3' y='4' width='18' height='18' rx='2' ry='2'%3E%3C/rect%3E%3Cline x1='16' y1='2' x2='16' y2='6'%3E%3C/line%3E%3Cline x1='8' y1='2' x2='8' y2='6'%3E%3C/line%3E%3Cline x1='3' y1='10' x2='21' y2='10'%3E%3C/line%3E%3C/svg%3E");
  --icon-invalid: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(198, 40, 40)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='10'%3E%3C/circle%3E%3Cline x1='12' y1='8' x2='12' y2='12'%3E%3C/line%3E%3Cline x1='12' y1='16' x2='12.01' y2='16'%3E%3C/line%3E%3C/svg%3E");
  --icon-minus: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cline x1='5' y1='12' x2='19' y2='12'%3E%3C/line%3E%3C/svg%3E");
  --icon-search: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='11' cy='11' r='8'%3E%3C/circle%3E%3Cline x1='21' y1='21' x2='16.65' y2='16.65'%3E%3C/line%3E%3C/svg%3E");
  --icon-time: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='10'%3E%3C/circle%3E%3Cpolyline points='12 6 12 12 16 14'%3E%3C/polyline%3E%3C/svg%3E");
  --icon-valid: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(56, 142, 60)' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
}


@font-face {
    font-family: 'MarkForMC';
    src: url('../fonts/MarkForMC.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;

}

@font-face {
    font-family: 'MarkForMC';
    src: url('../fonts/MarkForMC-Med.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;

}

@font-face {
    font-family: 'MarkForMC';
    src: url('../fonts/MarkForMC-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;

}



html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box; 
  
  -webkit-text-size-adjust: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

*,*:before,*:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit; 
}

body {  
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100%;  
  
  font-family: var(--font-family);
  font-size: var(--font-size);
  font-weight: 400;
  font-style: normal;
  font-size: 1rem;
  line-height: 1;

  background-color: var(--grey-light);
  color: var(--text-color);

  margin: 0;
  padding: 0;
}

figure, section, article, aside, figcaption {margin:0; padding:0}

a { color: inherit; }
a, a:focus, a:hover, a:active { outline:none; text-decoration:none}

button:focus {outline:0;}

button {
  background: none;
  background-color: transparent;
  padding: 0;
  margin: 0;
  cursor: pointer;
  border-radius: 0;
  border:none;
}



.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  position: relative;
  max-width: 1920px;
  margin: 0 auto;
}


.header {
  width: 100%;
  height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-image: url('../images/header-background.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.header .header-inner {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap:2rem;
  align-items: flex-start;
  justify-content: center;
  padding: 2rem 4rem 4rem;
  background: linear-gradient(90deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 20%, rgba(0, 0, 0, 0) 50%);
}

.header .logo {
  width: 72px;
  height: auto;
}

.header hgroup {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  color: var(--white);
}

.header hgroup h1 {
  font-size: 2.25rem;
  line-height: 1;
  font-weight: 700;
  margin: 0;
}

.header hgroup p {
  font-size: 2.25rem;
  line-height: 1;
  font-weight: 400;
  margin: 0;
}


.main-container {
  position: relative;
  width: 100%;
  max-width: var(--container-width);
  margin-left: auto;
  margin-right: auto;
}


.main {
  padding: 4rem 2rem;
}

.main h2 {
  font-size: 2rem;
  font-weight: 500;
  font-style: italic;
  margin: 0 0 1em 0;
}

.main .intro {
  font-size: 1.25rem;
  line-height: 1.15;
}



.main .box-form {
  margin-top: 3rem;
}


.main .box-form .form-options {
    display: flex;
    gap: 1rem;
    align-items: center;
    margin-top: 1.5rem;
}

.main .box-form .form-options.form-options-center {
  justify-content: center;
}




.input-field-container {
  display: flex;
  flex-wrap: wrap;
  margin-left: -1rem;  
  margin-right: -1rem;
}

.input-field-container.flex-center { justify-content: center; }
.input-field-container.align-center { align-items: center; }

.input-field-container .col {
  flex: 0 0 100%;
  max-width: 100%;
  padding: 0 1rem;
  margin-bottom: 1.25rem;
}


.input-field-container .col-25 {
  flex: 0 0 25%;
  max-width: 25%;
}

.input-field-container .col-33 {
  flex: 0 0 33.33%;
  max-width: 33.33%;
}


.input-field-container .col-50 {
  flex: 0 0 50%;
  max-width: 50%;
}


.input-field-container .col-66 {
  flex: 0 0 66.67%;
  max-width: 66.67%;
}




label.label {
  display: block;
  font-size: 1.125rem;
  font-weight: 500;
  margin: 0 0 0.75em 0;
}

label.label small {
  display: block;
  font-size: 0.8em;
  line-height: 1.2;
  opacity: 0.8;
  margin: 0.2em 0 0 0;
}

input, select, textarea {
    font-family: var(--font-family);
    font-size: 1rem;
    line-height: 1;
    background-color: var(--white);
    color: var(--text-color);
    box-shadow: none;
    border: 1px solid var(--white);  
    border-radius: 2rem;  
    outline: 0;
    font-weight: 400;
    transition: background-color var(--transition-in),border-color var(--transition-in),color var(--transition-in),box-shadow var(--transition-in);
}



input:not([type=checkbox],[type=radio]), select {
    width: 100%;
}

textarea {
    width: 100%;
    line-height: 1.35;
    border-radius: 0.75rem;  
    padding-top: 1rem;
    padding-bottom: 1rem;
}

input:not([type=checkbox],[type=radio],[type=range],[type=file]), select, textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding: 0.5rem 1.25rem;
    margin: 0;
}

select:not([multiple],[size]) {
    padding-right: 2.5rem;
    padding-left: 1rem;
    -webkit-padding-start: 1rem;
    padding-inline-start: 1rem;
    -webkit-padding-end: 2.5rem;
    padding-inline-end: 2.5rem;
    background-image: var(--icon-chevron);
    background-position: center right 0.75rem;
    background-size: 1rem auto;
    background-repeat: no-repeat;
    height: var(--input-height);
}

select option {
  /*color: var(--dark-blue);*/
  font-weight: 400;
}

select option[value=""][disabled] {
  display: none;
}


input:not([type=checkbox],[type=radio],[type=range]) {
    height: var(--input-height);
}

input:not([type=submit],[type=button],[type=reset],[type=range],[type=file],[readonly]):focus, select:focus, textarea:focus {
    box-shadow: 0 0 8px 2px rgba(255, 255, 255, 0.80);
}

:where(select,textarea):is(:active,:focus), input:not([type=submit],[type=button],[type=reset],[role=switch],[readonly]):is(:active,:focus) {
    border-color: var(--grey-dark) !important
}

input[type="time"]::-webkit-calendar-picker-indicator,
input[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(100%);
}




input::-webkit-input-placeholder,
input::placeholder,
select:invalid,
textarea::-webkit-input-placeholder,
textarea::placeholder {
    color: var(--grey-dark);
    opacity: 1;
    font-weight: 400;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}



input:disabled, select:disabled, textarea:disabled, select:disabled,
input[readonly], select[readonly], textarea[readonly], select[readonly] {
/*    border-color: #b0b0b0 !important;*/
    opacity: 0.75 !important;
   
}

fieldset {
    display: flex;
    margin: 0;
    padding: 0;
    border: 0;
}

fieldset legend, 
fieldset label {
    display: block;
    margin-bottom: 0.5rem;
    font-size: 0.925rem;
    font-weight: 400;
    color: var(--text-color);
}

fieldset label {
    margin-bottom: 0;
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

fieldset label span {
  font-size: 0.925rem;
  font-weight: 500;
  line-height: 1;
}

fieldset label input { 
  flex-shrink: 0;
  line-height: 1;
}



.input-field-container .legend {
  display: block;
  padding: 0.75rem 0 0 1rem;
  font-size: 0.875rem;
  font-style: italic;
}

.group-field fieldset {
    flex-direction: column;
    gap:0.75rem;
}

.group-field-flex {
    display: flex;
    align-items: center;
    gap: 0.5rem 2rem;
}

.group-field-flex.group-field-flex-wrap {
    flex-wrap: wrap;
}

[type=checkbox], [type=radio] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 1.25em;
    height: 1.25em;
    margin-top: 0;
    margin-right: 0;
    margin-left: 0;
    -webkit-margin-start: 0;
    margin-inline-start: 0;
    -webkit-margin-end: 0;
    margin-inline-end: 0;
    border-width: 1px;
    font-size: inherit;
    vertical-align: middle;
    cursor: pointer;
    border-radius: 3px;
    padding: 0;
}

[type=radio] {
    border-radius: 50%;
}

[type=checkbox]:checked,
[type=checkbox]:checked:active,
[type=checkbox]:checked:focus,
[type=radio]:checked,
[type=radio]:checked:active,
[type=radio]:checked:focus {
    background-color: var(--white);
    border-color: var(--blue);
    background-image: var(--icon-checkbox);
    background-position: center;
    background-size: 0.75em auto;
    background-repeat: no-repeat;
}

[type=radio]:checked,
[type=radio]:checked:active,
[type=radio]:checked:focus {
    background-color: var(--white);
    border-width: 0.35em;
    background-image: none;
}


[type=checkbox], [type=radio], [type=range], progress {
    accent-color: var(--orange-dark);
}




:where(input,select,textarea):not([type=checkbox],[type=radio])[aria-invalid] {
    padding-right: 2.5rem!important;
    padding-left: 1rem;
    -webkit-padding-start: 1rem;
    padding-inline-start: 1rem;
    -webkit-padding-end: 2.5rem!important;
    padding-inline-end: 2.5rem!important;
    background-position: center right 0.75rem;
    background-size: 1rem auto;
    background-repeat: no-repeat;
}

:where(input,select,textarea):not([type=checkbox],[type=radio])[aria-invalid=true] {
    background-image: var(--icon-invalid);
}

:where(input,select,textarea)[aria-invalid=true] {
    border-color: #c62828 !important;
}

:where(input,select,textarea):not([type=checkbox],[type=radio])[aria-invalid=false] {
    background-image: var(--icon-valid);
}

:where(input,select,textarea)[aria-invalid=false] {
    border-color: #388e3c !important;
}



.mandatory {
  font-size: 0.8rem;
  font-weight: 600;
  opacity: 0.8;
  color: var(--orange);
}





.button {
    display: inline-block;
    min-width: 150px;
    margin: 0;
    border-radius: 0;
    outline: 0;
    text-align: center;
    cursor: pointer;
    transition: background-color var(--transition-in),border-color var(--transition-in),color var(--transition-in);
    font-family: var(--font-family);
}


.button-primary {
    width: auto;
    padding: 0.625rem 1.25rem 0.625rem;
    font-size: 1.25rem;
    line-height: 1;
    font-weight: 500;
    background-color: var(--orange-dark);
    border-color: var(--orange-dark);
    color: var(--white);  
    border-radius: 2rem; 
}

.button-primary.button-primary-big {
  padding: 0.875rem 1.5rem;
}

.button-primary:hover {
    background-color: var(--orange-light);
    border-color: var(--orange-light);
    color: var(--white);
}




.button.btn--waiting {
  background-color: var(--grey-dark);
  cursor: wait;
}



.button:disabled {
    background-color: #7d7d7d40;
    border-color: #7d7d7d;
    color: #7d7d7d;
}
button.underlink,
a.underlink {
  text-decoration: underline;
  text-underline-offset: 2px;
}
button.underlink:hover,
a.underlink:hover {
  text-decoration: underline;
  color: var(--blue80);
}


footer {
  margin-top: auto;
 }

.footer {
  width: 100%;
  height: 24px;
  background-color: var(--black);
}


.remodal {

    border-radius: 1rem;
}


.remodal-close {
  left: inherit;
  right: 0;
}


.remodal .modalTitle {
  color: var(--orange-dark);
  font-size: 1.75rem;
  font-weight: 700;
}

.remodal .modalBody {
  font-size: 1.125rem;
  line-height: 1.25;
}


@media only screen and (max-width: 1366px) {


  .header {
    height: 360px;
  }

  .header .header-inner { padding:1.5rem 2.5rem 3rem }

  .header .logo { width: 64px;}

  .header hgroup h1,
  .header hgroup p { font-size: 2rem }

}



@media only screen and (max-width: 1280px) {


}



@media only screen and (max-width: 960px) {

  .header {
    background-image: url('../images/header-background-mobile.jpg');
    height: auto;
  }

  .header .header-inner { 
    padding:2.5rem 1.75rem 3rem;
    background: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 30%, rgba(0, 0, 0, 0.2) 100%);
  }
  .header hgroup h1,
  .header hgroup p { font-size: 1.5rem }

  .main {
    padding: 3rem 1.75rem;
  }

}

@media only screen and (max-width: 767px) {

  .input-field-container .col-25,
  .input-field-container .col-33,
  .input-field-container .col-50,
  .input-field-container .col-66 {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .main .intro { font-size: 1.125rem }
  label.label { font-size: 1rem }

  .main .box-form .form-options .button-primary { width: 100%; }
  
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}
